use colored::Colorize;

pub fn error<T: Colorize>(text: T) {
	println!("☠️ {}", text.bright_red())
}

pub fn frog<T: Colorize>(text: T) {
	println!("🐸 {}.", text.bright_yellow())
}

pub fn process<T: Colorize>(text: T) {
	println!("🗿 {}...", text.bright_purple())
}

pub fn header<T: Colorize>(text: T) {
	println!("🔶 {}", text.bright_blue())
}

pub fn done<T: Colorize>(text: T) {
	println!("🌟 {}!", text.bright_green())
}
