use chrono::NaiveDateTime;

use crate::{account::VulcanAccount, models::Grade, util::FilterType, Result};

impl VulcanAccount {
	pub async fn grades(&self, last_sync: Option<NaiveDateTime>) -> Result<Vec<Grade>> {
		self.get_list("grade", FilterType::ByPupil, None, None, last_sync)
			.await
	}
}
